Cygwin64 HDF5 load() crash fix

Currently, Octave 3.8.1 in Cygwin64 was compiled with headers 1.8.12 but HDF5 library 1.8.13.

This causes Octave to seg fault Warning! ***HDF5 library version mismatched error*** and exit.

To avoid having to recompile, you can type
HDF5_DISABLE_VERSION_CHECK=1 octave
to startup octave
you can perhaps add to your ~/.bashrc file the line:
alias octave="HDF5_DISABLE_VERSION_CHECK=1 octave -q"

Leave a Reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>